package com.sckw.payment.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 电子钱包结算记录（交易订单结算/物流订单结算）
 *
 * @author xucaiqin
 * @date 2023-07-10 16:42:20
 */
@Getter
@Setter
@ToString
@TableName(value = "kwp_settlement_wallet")
public class KwpSettlementWallet {
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 企业类型
     */
    @TableField(value = "ent_id")
    private Long entId;

    /**
     * 交易订单id（kwo_trade_order）
     */
    @TableField(value = "order_id")
    private Long orderId;

    /**
     * 企业电子钱包id（kwp_wallet_ent 主键）
     */
    @TableField(value = "wallet_id")
    private Long walletId;

    /**
     * 金额
     */
    @TableField(value = "price")
    private BigDecimal price;

    /**
     * 类型（0付款、1退款）
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 状态（0扣款、1结算、2异常、）
     */
    @TableField(value = "`status`")
    private Integer status;

    @TableField(value = "create_by")
    private Long createBy;

    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(value = "update_by")
    private Long updateBy;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 是否删除（0未删除，1删除）
     */
    @TableField(value = "del_flag")
    private Integer delFlag;
    private String settlementId;
    private String orderType;
    private String channel;
    private String payTime;
    private String payPrice;
    private String topayPrice;

    public String getTopayPrice() {
        return topayPrice;
    }

    public void setTopayPrice(String topayPrice) {
        this.topayPrice = topayPrice;
    }

    public String getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(String payPrice) {
        this.payPrice = payPrice;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(String settlementId) {
        this.settlementId = settlementId;
    }
}